package com.sisgep.switchyard.sy_sisgep_bean;

import org.switchyard.annotations.Transformer;
import org.w3c.dom.Element;

public final class PoliceServiceTransform {

	@Transformer(to = "{http://sisgep.rj.gov.br/PoliceService}PoliceResponse")
	public String transformStringToPoliceResponse(String from) {
		StringBuilder builder = new StringBuilder();
		builder.append("<pol:findNameByRGResponse xmlns:pol=\"http://sisgep.rj.gov.br/PoliceService\">");
		builder.append("<pol:RG>");
		builder.append(from +"1" );
		builder.append("</pol:RG>");
		builder.append("<pol:Nome>");
		builder.append(from + "2");
		builder.append("</pol:Nome>");
	
		builder.append("</pol:findNameByRGResponse>");
		
		return builder.toString();
	}

	@Transformer(from = "{http://sisgep.rj.gov.br/PoliceService}PoliceRequest")
	public String transformPoliceRequestToString(Element from) {
		return new String(from.getTextContent());
	}

}
